Categories:
  - Internet
  - Reading
License: GPL-3.0-only
AuthorName: Space Cowboy
AuthorWebSite: https://cowboyprogrammer.org
SourceCode: https://gitlab.com/spacecowboy/Feeder
IssueTracker: https://gitlab.com/spacecowboy/Feeder/issues
Translation: https://crowdin.com/project/feeder
Changelog: https://gitlab.com/spacecowboy/Feeder/blob/HEAD/CHANGELOG.md
Bitcoin: 1PdmeeGxB2iktvmtkGqwUNmYq7L9tnxjwE

AutoName: Feeder

RepoType: git
Repo: https://gitlab.com/spacecowboy/Feeder.git

Builds:
  - versionName: 1.2.2
    versionCode: 5
    commit: 1.2.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.3
    versionCode: 6
    commit: 1.2.3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.3.0
    versionCode: 7
    commit: 1.3.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.3.2
    versionCode: 9
    commit: 1.3.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.3.3
    versionCode: 10
    commit: 1.3.3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.3.4
    versionCode: 11
    commit: 1.3.4
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.3.5
    versionCode: 12
    commit: 1.3.5
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.3.6
    versionCode: 13
    commit: 1.3.6
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.3.7
    versionCode: 14
    commit: 1.3.7
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.3.8
    versionCode: 15
    commit: 1.3.8
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.3.9
    versionCode: 16
    commit: 1.3.9
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.3.10
    versionCode: 17
    commit: 1.3.10
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.3.11
    versionCode: 18
    commit: 1.3.11
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.3.12
    versionCode: 19
    commit: 1.3.12
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.3.13
    versionCode: 20
    commit: 1.3.13
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.3.14
    versionCode: 21
    commit: 1.3.14
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.3.15
    versionCode: 22
    commit: 1.3.15
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.4.0
    versionCode: 23
    commit: 1.4.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.4.1
    versionCode: 24
    commit: 1.4.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.4.2
    versionCode: 25
    commit: 1.4.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.4.3
    versionCode: 26
    commit: 1.4.3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.5.0
    versionCode: 27
    commit: 1.5.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.6.0
    versionCode: 28
    commit: 1.6.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.6.1
    versionCode: 29
    commit: 1.6.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.6.2
    versionCode: 30
    commit: 1.6.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.6.3
    versionCode: 31
    commit: 1.6.3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.6.4
    versionCode: 32
    commit: 1.6.4
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.6.5
    versionCode: 33
    commit: 1.6.5
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.6.6
    versionCode: 34
    commit: 1.6.6
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.6.7
    versionCode: 35
    commit: 1.6.7
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.6.8
    versionCode: 36
    commit: 1.6.8
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.7.0
    versionCode: 37
    commit: 1.7.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.7.1
    versionCode: 38
    commit: 1.7.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.8.0
    versionCode: 39
    commit: 1.8.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.8.1
    versionCode: 40
    commit: 1.8.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.8.2
    versionCode: 41
    commit: 1.8.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.8.3
    versionCode: 42
    commit: 1.8.3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.8.4
    versionCode: 43
    commit: 1.8.4
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.8.5
    versionCode: 44
    commit: 1.8.5
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.8.6
    versionCode: 45
    commit: 1.8.6
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.8.7
    versionCode: 46
    commit: 1.8.7
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.8.8
    versionCode: 47
    commit: 1.8.8
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.8.9
    versionCode: 48
    commit: 1.8.9
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.8.10
    versionCode: 49
    commit: 1.8.10
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.8.11
    versionCode: 50
    commit: 1.8.11
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.8.12
    versionCode: 51
    commit: 1.8.12
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.8.13
    versionCode: 52
    commit: 1.8.13
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.8.14
    versionCode: 53
    commit: 1.8.14
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.8.15
    versionCode: 54
    commit: 1.8.15
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.8.16
    versionCode: 55
    commit: 1.8.16
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.8.17
    versionCode: 56
    commit: 1.8.17
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.8.18
    versionCode: 57
    commit: 1.8.18
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.8.19
    versionCode: 58
    commit: 1.8.19
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.8.20
    versionCode: 59
    commit: 1.8.20
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.8.22
    versionCode: 61
    commit: 1.8.22
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.8.23
    versionCode: 62
    commit: 1.8.23
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.8.24
    versionCode: 63
    commit: 1.8.24
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.8.25
    versionCode: 64
    commit: 1.8.25
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.8.26
    versionCode: 65
    commit: 1.8.26
    subdir: app
    submodules: true
    patch:
      - gradle-version.patch
    gradle:
      - yes
    rm:
      - rome/rome/src/site/resources/Fetcher/Releases/*
      - rome/rome/src/site/resources/Modules/*
      - rome/rome/src/site/resources/ROMEReleases/*
    prebuild:
      - echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
      - sed -i -e 's|http://repo.maven.apache.org|https://repo.maven.apache.org|'
        ../rome/build.gradle

  - versionName: 1.8.28
    versionCode: 67
    commit: 1.8.28
    subdir: app
    submodules: true
    patch:
      - gradle-version.patch
    gradle:
      - yes
    rm:
      - rome/rome/src/site/resources/Fetcher/Releases/*
      - rome/rome/src/site/resources/Modules/*
      - rome/rome/src/site/resources/ROMEReleases/*
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.8.29
    versionCode: 68
    commit: 1.8.29
    subdir: app
    submodules: true
    patch:
      - gradle-version.patch
    gradle:
      - yes
    rm:
      - rome/rome/src/site/resources/Fetcher/Releases/*
      - rome/rome/src/site/resources/Modules/*
      - rome/rome/src/site/resources/ROMEReleases/*
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.8.30
    versionCode: 69
    commit: 1.8.30
    subdir: app
    submodules: true
    patch:
      - gradle-version.patch
    gradle:
      - yes
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.9.0
    versionCode: 70
    commit: 1.9.0
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.9.1
    versionCode: 71
    commit: 1.9.1
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.9.2
    versionCode: 72
    commit: 1.9.2
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.9.3
    versionCode: 73
    commit: 1.9.3
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.9.4
    versionCode: 74
    commit: 1.9.4
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.9.5
    versionCode: 75
    commit: 1.9.5
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.9.6
    versionCode: 76
    commit: 1.9.6
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.9.7
    versionCode: 77
    commit: 1.9.7
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.9.8
    versionCode: 78
    commit: 1.9.8
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.9.9
    versionCode: 79
    commit: 1.9.9
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.10.0
    versionCode: 80
    commit: 1.10.0
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.10.1
    versionCode: 81
    commit: 1.10.1
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.10.2
    versionCode: 82
    commit: 1.10.2
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.10.4
    versionCode: 84
    commit: 1.10.4
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.10.5
    versionCode: 85
    commit: 1.10.5
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.10.6
    versionCode: 86
    commit: 1.10.6
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.10.7
    versionCode: 87
    commit: 1.10.7
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.10.8
    versionCode: 88
    commit: 1.10.8
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.10.9
    versionCode: 89
    commit: 1.10.9
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.10.10
    versionCode: 90
    commit: 1.10.10
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.10.11
    versionCode: 91
    commit: 1.10.11
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.10.12
    versionCode: 92
    commit: 1.10.12
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.10.13
    versionCode: 93
    commit: 1.10.13
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.10.14
    versionCode: 94
    commit: 1.10.14
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.11.0
    versionCode: 95
    commit: 1.11.0
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.11.2
    versionCode: 97
    commit: 1.11.2
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.11.3
    versionCode: 98
    commit: 1.11.3
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.12.0
    versionCode: 99
    commit: 1.12.0
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.12.1
    versionCode: 100
    commit: 1.12.1
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.13.0
    versionCode: 101
    commit: 1.13.0
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.13.1
    versionCode: 102
    commit: 1.13.1
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.13.2
    versionCode: 103
    commit: 1.13.2
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.13.3
    versionCode: 104
    commit: aedf730417bc4ed7171830efaf41dcdf1a779fe1
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.13.4
    versionCode: 105
    commit: 3a80c7a60a5cbc91cd4ff63df83ab89a5a3a656a
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 1.13.5
    versionCode: 106
    commit: 5a4ae69485ab4e1868439b5d6109d062c0c538dd
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 2.0.0-beta.3
    versionCode: 203
    disable: Superceded by newer pre-release
    commit: 2.0.0-beta.3
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx2g' >> ../gradle.properties

  - versionName: 2.0.0-beta.6
    versionCode: 206
    disable: Superceded by newer pre-release
    commit: 2.0.0-beta.6
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx2g' >> ../gradle.properties

  - versionName: 2.0.0-rc.1
    versionCode: 207
    disable: Superceded by newer pre-release
    commit: 2.0.0-rc.1
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx2g' >> ../gradle.properties

  - versionName: 2.0.0-rc.3
    versionCode: 209
    commit: 2.0.0-rc.3
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - graphics
    prebuild: echo 'org.gradle.jvmargs=-Xmx2g' >> ../gradle.properties

AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 1.13.5
CurrentVersionCode: 106
